---
title: Web NFC API
slug: Web/API/Web_NFC_API
tags:
  - NDEF
  - Reference
  - Web NFC
---
<p>{{DefaultAPISidebar("Web NFC API")}}{{Draft}}{{SeeCompatTable}}</p>

<p><span class="seoSummary">The Web NFC API allows exchanging data over NFC via light-weight NFC Data Exchange Format (NDEF) messages.</span></p>

<div class="notecard note">
<p><strong>Note:</strong> Devices and tags have to be formatted and recorded specifically to support NDEF record format to be used with Web NFC. Low-level operations are currently not supported by the API, however there is a public discussion about API that would add such functuionality.</p>
</div>

<h2 id="Interfaces">Interfaces</h2>

<dl>
 <dt>{{DOMxRef("NDEFMessage")}}</dt>
 <dd>Interface that represents NDEF messages that can be received from or sent to a compatible device or tag via <code>NDEFReader</code> and <code>NDEFWriter</code> objects respectively. A message is composed of metadata and NDEF Records.</dd>
 <dt>{{DOMxRef("NDEFReader")}}</dt>
 <dd>Interface that enables reading messages from compatible NFC devices or tags. The messages are represented as <code>NDEFMessage</code> objects.</dd>
 <dt>{{DOMxRef("NDEFRecord")}}</dt>
 <dd>Interface that represents NDEF records that can be included in an NDEF message.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td><a href="https://w3c.github.io/web-nfc/">Web NFC</a></td>
   <td>Draft</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.NDEFReader")}}</p>
</div>
